Bug 243971 - info crashes when resizing the window
info crashes when resizing the window
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: texinfo (Show other bugs)
8
All Linux
low Severity high
: ---
: ---
Assigned To: Vitezslav Crhonek
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-13 01:11 EDT by petrosyan
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 4.11-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-26 13:53:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description petrosyan 2007-06-13 01:11:56 EDT
Description of problem:
info crashes when resizing the gnome-terminal window from which it is being run.

Version-Release number of selected component (if applicable):
info-4.8-15

How reproducible:
Always

Steps to Reproduce:
1. start a gnome-terminal
2. run "info" command in the gnome-terminal
3. start resizing the gnome-terminal windows many times (about 10 times or so)
  
Actual results:
info crashes with a "Segmentation fault" error message

Expected results:
info should not crash.

Additional info:
Here is a backtrace that I obtained by running info under gdb and installing
debuginfo package:

#0  0x0804a53e in display_update_one_window (win=0x81eb5d0) at display.c:301
#1  0x0804a9d0 in display_update_display (window=0x81eb5d0) at display.c:85
#2  0x0805df06 in reset_info_window_sizes () at signals.c:161
#3  0x0805e118 in info_signal_proc (sig=28) at signals.c:277
#4  <signal handler called>
#5  0x00f25400 in __kernel_vsyscall ()
#6  0x00b9a3f3 in __read_nocancel () from /lib/libc.so.6
#7  0x08057098 in info_get_input_char () at /usr/include/bits/unistd.h:35
#8  0x0805d9bc in info_read_and_dispatch () at session.c:217
#9  0x0805dad2 in info_session () at session.c:175
#10 0x08050922 in main (argc=476479496, argv=0xbf9081d4) at info.c:507
#11 0x00aeef70 in __libc_start_main () from /lib/libc.so.6
#12 0x08049731 in _start ()
Comment 1 Vitezslav Crhonek 2007-10-11 08:11:25 EDT
Hi,

only small update here: in lates texinfo-4.11-1 this bug is partialy fixed, but
still present:( No problem with vertical resizing, segfault with horizontal
resizing.
Comment 2 petrosyan 2007-10-12 03:48:26 EDT
in info-4.11-1.fc8 I can reproduce the crash with both vertical and horizontal
resizing, by running "info bash" from a terminal and then resizing the window.
Comment 3 Vitezslav Crhonek 2007-11-07 09:39:25 EST
Hi,

window width or height goes sometimes bellow zero, that's the problem. I
discussed it with upstream and it'll be fixed in next release of texinfo.
Comment 4 Fedora Update System 2007-11-14 22:41:35 EST
texinfo-4.11-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update texinfo'
Comment 5 Vitezslav Crhonek 2007-11-15 04:46:55 EST
Hi,

it's fixed in f8 and devel too.
Comment 6 petrosyan 2007-11-15 08:30:56 EST
I don't see any updates for Fedora 8.
Comment 7 Vitezslav Crhonek 2007-11-15 08:38:00 EST
2007-11-15 03:31:04 texinfo-4.11-2.fc8 has been pushed to testing repo.
Comment 8 petrosyan 2007-11-15 08:42:12 EST
I can see it in Fedora 7 testing repository at
http://download.fedora.redhat.com/pub/fedora/linux/updates/testing/7/i386/info-4.11-2.fc7.i386.rpm
however I can't find it in Fedora 8 testing repository
http://download.fedora.redhat.com/pub/fedora/linux/updates/testing/8/i386/
maybe I should just wait a little more.
Comment 11 petrosyan 2007-11-15 09:00:10 EST
I can confirm that this bug has been fixed in info-4.11-2.fc8
Should I close the bug now or wait until it is released as an official update?
Comment 12 Vitezslav Crhonek 2007-11-15 09:07:59 EST
It'll be closed automatically after pushing update to stable.
Comment 13 Fedora Update System 2007-11-26 13:53:26 EST
texinfo-4.11-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.